unit einstell2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, StdCtrls,registry;

type
  Teinstell = class(TForm)
    GroupBox1: TGroupBox;
    chk_zyklisch: TCheckBox;
    GroupBox2: TGroupBox;
    MainMenu1: TMainMenu;
    zurck1: TMenuItem;
    Label1: TLabel;
    Edit1: TEdit;
    chk_min: TCheckBox;
    chk_std: TCheckBox;
    scrchk_zyklisch: TCheckBox;
    Label2: TLabel;
    scrEdit1: TEdit;
    scrchk_min: TCheckBox;
    scrchk_std: TCheckBox;
    chk_zufall: TCheckBox;
    scrchk_zufall: TCheckBox;
    GroupBox3: TGroupBox;
    chk_logdatei: TCheckBox;
    GroupBox4: TGroupBox;
    chk_minimieren: TCheckBox;
    chk_wall_taeglich: TCheckBox;
    chk_screen_taeglich: TCheckBox;
    procedure FormShow(Sender: TObject);
    procedure zurck1Click(Sender: TObject);
    procedure chk_stdClick(Sender: TObject);
    procedure chk_minClick(Sender: TObject);
    procedure scrchk_minClick(Sender: TObject);
    procedure scrchk_stdClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure chk_zyklischClick(Sender: TObject);
    procedure scrchk_zyklischClick(Sender: TObject);
    procedure chk_wall_taeglichClick(Sender: TObject);
    procedure chk_screen_taeglichClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  einstell: Teinstell;

implementation

uses main;

{$R *.DFM}

procedure Teinstell.FormShow(Sender: TObject);
begin
  left:=form1.left+20;
  top:=form1.top+20;
  edit1.enabled:=chk_zyklisch.checked;
  chk_min.enabled:=chk_zyklisch.checked;
  chk_std.enabled:=chk_zyklisch.checked;
  scredit1.enabled:=scrchk_zyklisch.checked;
  scrchk_min.enabled:=scrchk_zyklisch.checked;
  scrchk_std.enabled:=scrchk_zyklisch.checked;
end;

procedure Teinstell.zurck1Click(Sender: TObject);
var
  regist:TRegistry;
begin
  regist:=TRegistry.Create;
  regist.Rootkey:=HKEY_CURRENT_USER;
  regist.OpenKey('\Software\weigl\shuffler',TRUE);
  regist.WriteBool('wall_taeglich',chk_wall_taeglich.checked);
  regist.WriteBool('zyklisch',chk_zyklisch.checked);
  regist.WriteBool('min',chk_min.checked);
  regist.WriteInteger('dauer',strtoint(edit1.text));
  regist.WriteBool('scrzyklisch',scrchk_zyklisch.checked);
  regist.WriteBool('scrmin',scrchk_min.checked);
  regist.WriteInteger('scrdauer',strtoint(scredit1.text));
  regist.WriteBool('screen_taeglich',chk_screen_taeglich.checked);
  regist.WriteBool('zufall',chk_zufall.checked);
  regist.WriteBool('scrzufall',scrchk_zufall.checked);
  regist.WriteBool('logdatei',chk_logdatei.checked);
  regist.WriteBool('minimieren',chk_minimieren.checked);
  regist.destroy;
  close;
end;

procedure Teinstell.chk_stdClick(Sender: TObject);
begin
  chk_min.checked:= not chk_std.checked;
end;

procedure Teinstell.chk_minClick(Sender: TObject);
begin
  chk_std.checked:= not chk_min.checked;
end;

procedure Teinstell.scrchk_minClick(Sender: TObject);
begin
  scrchk_std.checked:= not scrchk_min.checked;
end;

procedure Teinstell.scrchk_stdClick(Sender: TObject);
begin
  scrchk_min.checked:= not scrchk_std.checked;
end;

procedure Teinstell.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  form1.scrtimer1.enabled:=scrchk_zyklisch.checked;
  if (scrchk_min.checked=true)
    then form1.scrtimer1.interval:=strtoint(scredit1.text)*60*1000
    else form1.scrtimer1.interval:=strtoint(scredit1.text)*3600*1000;

  form1.timer1.enabled:=chk_zyklisch.checked;
  if (chk_min.checked=true)
    then form1.timer1.interval:=strtoint(edit1.text)*60*1000
    else form1.timer1.interval:=strtoint(edit1.text)*3600*1000;
end;

procedure Teinstell.chk_zyklischClick(Sender: TObject);
begin
  edit1.enabled:=chk_zyklisch.checked;
  chk_min.enabled:=chk_zyklisch.checked;
  chk_std.enabled:=chk_zyklisch.checked;
end;

procedure Teinstell.scrchk_zyklischClick(Sender: TObject);
begin
  scredit1.enabled:=scrchk_zyklisch.checked;
  scrchk_min.enabled:=scrchk_zyklisch.checked;
  scrchk_std.enabled:=scrchk_zyklisch.checked;
end;

procedure Teinstell.chk_wall_taeglichClick(Sender: TObject);
begin
  chk_zyklisch.enabled:=not chk_wall_taeglich.checked;
  edit1.enabled:=not chk_wall_taeglich.checked;
  chk_min.enabled:=not chk_wall_taeglich.checked;
  chk_std.enabled:=not chk_wall_taeglich.checked;
end;

procedure Teinstell.chk_screen_taeglichClick(Sender: TObject);
begin
  scrchk_zyklisch.enabled:=not chk_screen_taeglich.checked;
  scredit1.enabled:=not chk_screen_taeglich.checked;
  scrchk_min.enabled:=not chk_screen_taeglich.checked;
  scrchk_std.enabled:=not chk_screen_taeglich.checked;
end;

end.
